SYSTEMD-SYSCTL.SERVICE(8)

BEZEICHNUNG
systemd-sysctl.service, systemd-sysctl - Kernel-Parameter beim Systemstart einrichten

ÜBERSICHT

/usr/lib/systemd/systemd-sysctl [OPTIONEN…] [KONFIGURATIONSDATEI…]

systemd-sysctl.service

BESCHREIBUNG

Systemd-sysctl.service ist ein Dienst in der frühen Phase des Systemstarts, der die Kernel-Parameter für sysctl(8) durch Aufruf von /usr/lib/systemd/systemd-sysctl einrichtet.

Beim Aufruf ohne Argumente wendet /usr/lib/systemd/systemd-sysctl alle Direktiven aus in sysctl.d(5) aufgeführten Konfigurationsdateien an. Beim Aufruf mit positionsabhängigen Argumenten wird die durch die Befehlszeilenargumente festgelegte Konfiguration ausgeführt. Falls anstelle eines Dateinamens die Zeichenkette »-« festgelegt wird, wird die Konfiguration von der Standardeingabe gelesen. Falls das Argument ein Dateiname ist (ohne Schrägstriche), werden alle Konfigurationsverzeichnisse nach einer passenden Datei durchsucht und die gefundene Datei mit der höchsten Priorität wird ausgeführt. Falls das Argument ein Pfad ist, dann wird die Datei direkt ohne Durchsuchen der Konfigurationsdateien nach anderen passenden Dateien ausgeführt.

Zusätzlich kann die Option --prefix= verwandt werden, um die anzuwendenen Sysctl-Einstellungen einzuschränken.

Siehe sysctl.d(5) für Information über die Konfiguration von Sysctl-Einstellungen. Nachdem die Sysctl-Konfiguration auf der Platte geändert wurde, muss sie in die Dateien in /proc/sys/ geschrieben werden, bevor sie wirkt. Es ist möglich, spezielle Einstellungen zu aktualisieren oder einfach die gesamte Konfiguration neu zu laden, siehe Beispiele unten.

OPTIONEN

--prefix=
    Wendet nur Regeln mit dem angegebenen Präfix an.

    Hinzugefügt in Version 230.

--strict=
    Immer einen von Null verschiedenen Exit-Code bei Fehlschlag zurückliefern (dazu gehören ungültige Sysctl-Variablennamen und unzureichende Berechtigungen), außer dem Sysctl-Variablenname wird das Zeichen »-« vorangestellt.

    Hinzugefügt in Version 252.

--inline
    Behandelt jedes positionsabhängige Argument als separate Konfigurationszeile statt als einen Dateinamen.

    Hinzugefügt in Version 259.

--cat-config
    Kopiert den Inhalt der Konfigurationsdateien in die Standardausgabe. Vor jeder Datei wird der Dateiname als Kommentar ausgegeben.

--tldr
    Kopiert den Inhalt der Konfigurationsdateien in die Standardausgabe. Nur der »interessante« Teil der Konfigurationsdateien wird ausgegeben, Kommentare und leere Zeilen werden übersprungen. Vor jeder Datei wird der Dateiname als Kommentar ausgegeben.

--no-pager
    Leitet die Ausgabe nicht an ein Textanzeigeprogramm weiter.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

ZUGANGSBERECHTIGUNGEN

systemd-sysctl unterstützt die durch ImportCredential=/LoadCredential=/SetCredential= implementierte Dienstezugangsberechtigungslogik (siehe systemd.exec(5) für Details). Die folgenden Zugangsberechtigungen werden hereingegeben:

sysctl.extra
    Der Inhalt dieser Zugangsberechtigung darf zusätzliche Zeilen, auf die agiert werden soll, enthalten. Die Inhalte der Zugangsberechtigung sollten dem gleichen Format jeder anderen sysctl.d/-Ergänzungskonfigurationsdatei folgen. Falls diese Zugangsberechtigung weitergegeben wird, wird sie nach allen aus dem Dateisystem gelesenen Ergänzungsdateien verarbeitet. Daher haben die in dieser Zugangsberechtigung konfigurierten Einstellungen Vorrang vor denen aus dem Dateisystem.

    Hinzugefügt in Version 252.

Beachten Sie, dass standardmäßig die Unit-Datei systemd-sysctl.service so eingerichtet ist, dass sie die Zugangsberechtigung »sysctl.extra« vom Diensteverwalter erbt.

BEISPIELE

Beispiel 1. Alle Sysctl-Einstellungen zurücksetzen

    systemctl restart systemd-sysctl

Beispiel 2. Anzeigen der Coredump-Handler-Einstellungen

    # sysctl kernel.core_pattern
    kernel.core_pattern = |/usr/libexec/abrt-hook-ccpp %s %c %p %u %g %t %P %I

Beispiel 3. Aktualisieren der Coredump-Handler-Einstellungen

    # /usr/lib/systemd/systemd-sysctl --prefix kernel.core_pattern

Dies durchsucht alle in sysctl.d(5) aufgeführten Verzeichnisse nach Konfigurationsdateien und schreibt /proc/sys/kernel/core_pattern.

Beispiel 4. Aktualisieren der Coredump-Handler-Einstellungen gemäß einer angegebenen Datei

    # /usr/lib/systemd/systemd-sysctl 50-coredump.conf

Dies wendet alle in 50-coredump.conf gefundenen Einstellungen an. In der Reihenfolge der Voreinstellungen wird entweder /etc/sysctl.d/50-coredump.conf, /run/sysctl.d/50-coredump.conf, oder /usr/lib/sysctl.d/50-coredump.conf verwandt.

Siehe sysctl(8) für verschiedene Arten, Sysctl-Einstellungen direkt anzuwenden.

SIEHE AUCH

systemd(1), sysctl.d(5), sysctl(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Dr. Tobias Quathamer <toddy@debian.org>, Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).